#!/bin/bash -xe
#
# Simple job for creating indicies
suite="${1:-$SUITE}"
serial="${2:-$SERIAL}"

umask 022
cronrun="/srv/builder/vmbuilder/bin/cronrun"

# Override and set some home variables
export HOME="/srv/builder/vmbuilder"
export CDIMAGE_BIN="${CDIMAGE_BIN:-$HOME/cdimage/bin}"
export CDIMAGE_ROOT="${CDIMAGE_ROOT:-$HOME/cdimage}"
export PUBLISH_SCRIPTS="${PUBLISH_SCRIPTS:-$HOME/ec2-publishing-scripts}"
export PATH="${PUBLISH_SCRIPTS}:${CDIMAGE_BIN}:${PATH}"

fail() { echo "${@}" 2>&1; exit 1;}

echo "Checksumming result directories"
work_d="${WORKD:-/srv/ec2-images}/${suite}/${serial}"

${CDIMAGE_BIN}/checksum-directory "${work_d}" &&
    checksum-directory "${work_d}/unpacked" ||
    fail "Failed to checksum result directories"

${PUBLISH_SCRIPTS}/update-build-indexes daily ${work_d} ${suite} &&
    update-build-indexes daily ${work_d} ${suite} ||
    fail "Failed to make the indexes for ${work_d}"
